//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWLineStylePopupCtrl : public VWControl
		{
		public:
							VWLineStylePopupCtrl(TControlID id);
			virtual			~VWLineStylePopupCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);

		// attributes
		public:
			short			GetSelectedLineStyle() const;
			void			SetSelectedLineStyle(short lineStyle);

		};
	}
}